Subversion Repositories Kolibri OS

Rev

Go to most recent revision | Blame | Last modification | View Log | RSS feed

  1. # Makefile.in generated by automake 1.14 from Makefile.am.
  2. # @configure_input@
  3.  
  4. # Copyright (C) 1994-2013 Free Software Foundation, Inc.
  5.  
  6. # This Makefile.in is free software; the Free Software Foundation
  7. # gives unlimited permission to copy and/or distribute it,
  8. # with or without modifications, as long as this notice is preserved.
  9.  
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  12. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  13. # PARTICULAR PURPOSE.
  14.  
  15. @SET_MAKE@
  16.  
  17. # Copyright © 2012 Intel Corporation
  18. #
  19. # Permission is hereby granted, free of charge, to any person obtaining a
  20. # copy of this software and associated documentation files (the "Software"),
  21. # to deal in the Software without restriction, including without limitation
  22. # the rights to use, copy, modify, merge, publish, distribute, sublicense,
  23. # and/or sell copies of the Software, and to permit persons to whom the
  24. # Software is furnished to do so, subject to the following conditions:
  25. #
  26. # The above copyright notice and this permission notice (including the next
  27. # paragraph) shall be included in all copies or substantial portions of the
  28. # Software.
  29. #
  30. # THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
  31. # IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
  32. # FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
  33. # THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
  34. # LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
  35. # FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
  36. # IN THE SOFTWARE.
  37.  
  38. # Helpers for glapi header generation
  39.  
  40.  
  41.  
  42. VPATH = @srcdir@
  43. am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
  44. am__make_running_with_option = \
  45.   case $${target_option-} in \
  46.       ?) ;; \
  47.       *) echo "am__make_running_with_option: internal error: invalid" \
  48.               "target option '$${target_option-}' specified" >&2; \
  49.          exit 1;; \
  50.   esac; \
  51.   has_opt=no; \
  52.   sane_makeflags=$$MAKEFLAGS; \
  53.   if $(am__is_gnu_make); then \
  54.     sane_makeflags=$$MFLAGS; \
  55.   else \
  56.     case $$MAKEFLAGS in \
  57.       *\\[\ \   ]*) \
  58.         bs=\\; \
  59.         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  60.           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
  61.     esac; \
  62.   fi; \
  63.   skip_next=no; \
  64.   strip_trailopt () \
  65.   { \
  66.     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  67.   }; \
  68.   for flg in $$sane_makeflags; do \
  69.     test $$skip_next = yes && { skip_next=no; continue; }; \
  70.     case $$flg in \
  71.       *=*|--*) continue;; \
  72.         -*I) strip_trailopt 'I'; skip_next=yes;; \
  73.       -*I?*) strip_trailopt 'I';; \
  74.         -*O) strip_trailopt 'O'; skip_next=yes;; \
  75.       -*O?*) strip_trailopt 'O';; \
  76.         -*l) strip_trailopt 'l'; skip_next=yes;; \
  77.       -*l?*) strip_trailopt 'l';; \
  78.       -[dEDm]) skip_next=yes;; \
  79.       -[JT]) skip_next=yes;; \
  80.     esac; \
  81.     case $$flg in \
  82.       *$$target_option*) has_opt=yes; break;; \
  83.     esac; \
  84.   done; \
  85.   test $$has_opt = yes
  86. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  87. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  88. pkgdatadir = $(datadir)/@PACKAGE@
  89. pkgincludedir = $(includedir)/@PACKAGE@
  90. pkglibdir = $(libdir)/@PACKAGE@
  91. pkglibexecdir = $(libexecdir)/@PACKAGE@
  92. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  93. install_sh_DATA = $(install_sh) -c -m 644
  94. install_sh_PROGRAM = $(install_sh) -c
  95. install_sh_SCRIPT = $(install_sh) -c
  96. INSTALL_HEADER = $(INSTALL_DATA)
  97. transform = $(program_transform_name)
  98. NORMAL_INSTALL = :
  99. PRE_INSTALL = :
  100. POST_INSTALL = :
  101. NORMAL_UNINSTALL = :
  102. PRE_UNINSTALL = :
  103. POST_UNINSTALL = :
  104. build_triplet = @build@
  105. host_triplet = @host@
  106. target_triplet = @target@
  107. @HAVE_SHARED_GLAPI_TRUE@am__append_1 = ../shared-glapi/libglapi.la
  108. DIST_COMMON = $(srcdir)/../glapi/gen/glapi_gen.mk \
  109.         $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
  110.         $(srcdir)/glesv2.pc.in $(top_srcdir)/bin/depcomp \
  111.         $(GLES2_include_HEADERS) $(GLES3_include_HEADERS) \
  112.         $(top_srcdir)/bin/test-driver
  113. subdir = src/mapi/es2api
  114. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  115. am__aclocal_m4_deps = $(top_srcdir)/m4/ax_prog_bison.m4 \
  116.         $(top_srcdir)/m4/ax_prog_cc_for_build.m4 \
  117.         $(top_srcdir)/m4/ax_prog_cxx_for_build.m4 \
  118.         $(top_srcdir)/m4/ax_prog_flex.m4 \
  119.         $(top_srcdir)/m4/ax_pthread.m4 \
  120.         $(top_srcdir)/m4/ax_python_module.m4 \
  121.         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
  122.         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
  123.         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
  124. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  125.         $(ACLOCAL_M4)
  126. mkinstalldirs = $(install_sh) -d
  127. CONFIG_CLEAN_FILES = glesv2.pc
  128. CONFIG_CLEAN_VPATH_FILES =
  129. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  130. am__vpath_adj = case $$p in \
  131.     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  132.     *) f=$$p;; \
  133.   esac;
  134. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  135. am__install_max = 40
  136. am__nobase_strip_setup = \
  137.   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  138. am__nobase_strip = \
  139.   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  140. am__nobase_list = $(am__nobase_strip_setup); \
  141.   for p in $$list; do echo "$$p $$p"; done | \
  142.   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  143.   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  144.     if (++n[$$2] == $(am__install_max)) \
  145.       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  146.     END { for (dir in files) print dir, files[dir] }'
  147. am__base_list = \
  148.   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  149.   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  150. am__uninstall_files_from_dir = { \
  151.   test -z "$$files" \
  152.     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  153.     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  154.          $(am__cd) "$$dir" && rm -f $$files; }; \
  155.   }
  156. am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" \
  157.         "$(DESTDIR)$(GLES2_includedir)" \
  158.         "$(DESTDIR)$(GLES3_includedir)"
  159. LTLIBRARIES = $(lib_LTLIBRARIES)
  160. am__DEPENDENCIES_1 =
  161. libGLESv2_la_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__append_1)
  162. am_libGLESv2_la_OBJECTS = entry.lo
  163. libGLESv2_la_OBJECTS = $(am_libGLESv2_la_OBJECTS)
  164. AM_V_lt = $(am__v_lt_@AM_V@)
  165. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  166. am__v_lt_0 = --silent
  167. am__v_lt_1 =
  168. libGLESv2_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  169.         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  170.         $(libGLESv2_la_LDFLAGS) $(LDFLAGS) -o $@
  171. AM_V_P = $(am__v_P_@AM_V@)
  172. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  173. am__v_P_0 = false
  174. am__v_P_1 = :
  175. AM_V_GEN = $(am__v_GEN_@AM_V@)
  176. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  177. am__v_GEN_0 = @echo "  GEN     " $@;
  178. am__v_GEN_1 =
  179. AM_V_at = $(am__v_at_@AM_V@)
  180. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  181. am__v_at_0 = @
  182. am__v_at_1 =
  183. DEFAULT_INCLUDES = -I.@am__isrc@
  184. depcomp = $(SHELL) $(top_srcdir)/bin/depcomp
  185. am__depfiles_maybe = depfiles
  186. am__mv = mv -f
  187. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  188.         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  189. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  190.         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  191.         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  192.         $(AM_CFLAGS) $(CFLAGS)
  193. AM_V_CC = $(am__v_CC_@AM_V@)
  194. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  195. am__v_CC_0 = @echo "  CC      " $@;
  196. am__v_CC_1 =
  197. CCLD = $(CC)
  198. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  199.         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  200.         $(AM_LDFLAGS) $(LDFLAGS) -o $@
  201. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  202. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  203. am__v_CCLD_0 = @echo "  CCLD    " $@;
  204. am__v_CCLD_1 =
  205. SOURCES = $(libGLESv2_la_SOURCES)
  206. DIST_SOURCES = $(libGLESv2_la_SOURCES)
  207. am__can_run_installinfo = \
  208.   case $$AM_UPDATE_INFO_DIR in \
  209.     n|no|NO) false;; \
  210.     *) (install-info --version) >/dev/null 2>&1;; \
  211.   esac
  212. DATA = $(pkgconfig_DATA)
  213. HEADERS = $(GLES2_include_HEADERS) $(GLES3_include_HEADERS)
  214. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  215. # Read a list of newline-separated strings from the standard input,
  216. # and print each of them once, without duplicates.  Input order is
  217. # *not* preserved.
  218. am__uniquify_input = $(AWK) '\
  219.   BEGIN { nonempty = 0; } \
  220.   { items[$$0] = 1; nonempty = 1; } \
  221.   END { if (nonempty) { for (i in items) print i; }; } \
  222. '
  223. # Make sure the list of sources is unique.  This is necessary because,
  224. # e.g., the same source file might be shared among _SOURCES variables
  225. # for different programs/libraries.
  226. am__define_uniq_tagged_files = \
  227.   list='$(am__tagged_files)'; \
  228.   unique=`for i in $$list; do \
  229.     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  230.   done | $(am__uniquify_input)`
  231. ETAGS = etags
  232. CTAGS = ctags
  233. am__tty_colors_dummy = \
  234.   mgn= red= grn= lgn= blu= brg= std=; \
  235.   am__color_tests=no
  236. am__tty_colors = { \
  237.   $(am__tty_colors_dummy); \
  238.   if test "X$(AM_COLOR_TESTS)" = Xno; then \
  239.     am__color_tests=no; \
  240.   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  241.     am__color_tests=yes; \
  242.   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  243.     am__color_tests=yes; \
  244.   fi; \
  245.   if test $$am__color_tests = yes; then \
  246.     red=''; \
  247.     grn=''; \
  248.     lgn=''; \
  249.     blu=''; \
  250.     mgn=''; \
  251.     brg=''; \
  252.     std=''; \
  253.   fi; \
  254. }
  255. am__recheck_rx = ^[     ]*:recheck:[    ]*
  256. am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
  257. am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
  258. # A command that, given a newline-separated list of test names on the
  259. # standard input, print the name of the tests that are to be re-run
  260. # upon "make recheck".
  261. am__list_recheck_tests = $(AWK) '{ \
  262.   recheck = 1; \
  263.   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  264.     { \
  265.       if (rc < 0) \
  266.         { \
  267.           if ((getline line2 < ($$0 ".log")) < 0) \
  268.             recheck = 0; \
  269.           break; \
  270.         } \
  271.       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  272.         { \
  273.           recheck = 0; \
  274.           break; \
  275.         } \
  276.       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  277.         { \
  278.           break; \
  279.         } \
  280.     }; \
  281.   if (recheck) \
  282.     print $$0; \
  283.   close ($$0 ".trs"); \
  284.   close ($$0 ".log"); \
  285. }'
  286. # A command that, given a newline-separated list of test names on the
  287. # standard input, create the global log from their .trs and .log files.
  288. am__create_global_log = $(AWK) ' \
  289. function fatal(msg) \
  290. { \
  291.   print "fatal: making $@: " msg | "cat >&2"; \
  292.   exit 1; \
  293. } \
  294. function rst_section(header) \
  295. { \
  296.   print header; \
  297.   len = length(header); \
  298.   for (i = 1; i <= len; i = i + 1) \
  299.     printf "="; \
  300.   printf "\n\n"; \
  301. } \
  302. { \
  303.   copy_in_global_log = 1; \
  304.   global_test_result = "RUN"; \
  305.   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  306.     { \
  307.       if (rc < 0) \
  308.          fatal("failed to read from " $$0 ".trs"); \
  309.       if (line ~ /$(am__global_test_result_rx)/) \
  310.         { \
  311.           sub("$(am__global_test_result_rx)", "", line); \
  312.           sub("[        ]*$$", "", line); \
  313.           global_test_result = line; \
  314.         } \
  315.       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  316.         copy_in_global_log = 0; \
  317.     }; \
  318.   if (copy_in_global_log) \
  319.     { \
  320.       rst_section(global_test_result ": " $$0); \
  321.       while ((rc = (getline line < ($$0 ".log"))) != 0) \
  322.       { \
  323.         if (rc < 0) \
  324.           fatal("failed to read from " $$0 ".log"); \
  325.         print line; \
  326.       }; \
  327.       printf "\n"; \
  328.     }; \
  329.   close ($$0 ".trs"); \
  330.   close ($$0 ".log"); \
  331. }'
  332. # Restructured Text title.
  333. am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  334. # Solaris 10 'make', and several other traditional 'make' implementations,
  335. # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
  336. # by disabling -e (using the XSI extension "set +e") if it's set.
  337. am__sh_e_setup = case $$- in *e*) set +e;; esac
  338. # Default flags passed to test drivers.
  339. am__common_driver_flags = \
  340.   --color-tests "$$am__color_tests" \
  341.   --enable-hard-errors "$$am__enable_hard_errors" \
  342.   --expect-failure "$$am__expect_failure"
  343. # To be inserted before the command running the test.  Creates the
  344. # directory for the log if needed.  Stores in $dir the directory
  345. # containing $f, in $tst the test, in $log the log.  Executes the
  346. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  347. # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
  348. # will run the test scripts (or their associated LOG_COMPILER, if
  349. # thy have one).
  350. am__check_pre = \
  351. $(am__sh_e_setup);                                      \
  352. $(am__vpath_adj_setup) $(am__vpath_adj)                 \
  353. $(am__tty_colors);                                      \
  354. srcdir=$(srcdir); export srcdir;                        \
  355. case "$@" in                                            \
  356.   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
  357.     *) am__odir=.;;                                     \
  358. esac;                                                   \
  359. test "x$$am__odir" = x"." || test -d "$$am__odir"       \
  360.   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
  361. if test -f "./$$f"; then dir=./;                        \
  362. elif test -f "$$f"; then dir=;                          \
  363. else dir="$(srcdir)/"; fi;                              \
  364. tst=$$dir$$f; log='$@';                                 \
  365. if test -n '$(DISABLE_HARD_ERRORS)'; then               \
  366.   am__enable_hard_errors=no;                            \
  367. else                                                    \
  368.   am__enable_hard_errors=yes;                           \
  369. fi;                                                     \
  370. case " $(XFAIL_TESTS) " in                              \
  371.   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
  372.     am__expect_failure=yes;;                            \
  373.   *)                                                    \
  374.     am__expect_failure=no;;                             \
  375. esac;                                                   \
  376. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  377. # A shell command to get the names of the tests scripts with any registered
  378. # extension removed (i.e., equivalently, the names of the test logs, with
  379. # the '.log' extension removed).  The result is saved in the shell variable
  380. # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
  381. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  382. # since that might cause problem with VPATH rewrites for suffix-less tests.
  383. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  384. am__set_TESTS_bases = \
  385.   bases='$(TEST_LOGS)'; \
  386.   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  387.   bases=`echo $$bases`
  388. RECHECK_LOGS = $(TEST_LOGS)
  389. AM_RECURSIVE_TARGETS = check recheck
  390. TEST_SUITE_LOG = test-suite.log
  391. TEST_EXTENSIONS = @EXEEXT@ .test
  392. LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
  393. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  394. am__set_b = \
  395.   case '$@' in \
  396.     */*) \
  397.       case '$*' in \
  398.         */*) b='$*';; \
  399.           *) b=`echo '$@' | sed 's/\.log$$//'`; \
  400.        esac;; \
  401.     *) \
  402.       b='$*';; \
  403.   esac
  404. am__test_logs1 = $(TESTS:=.log)
  405. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  406. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  407. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
  408. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  409.         $(TEST_LOG_FLAGS)
  410. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  411. ACLOCAL = @ACLOCAL@
  412. AMTAR = @AMTAR@
  413. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  414. AR = @AR@
  415. AUTOCONF = @AUTOCONF@
  416. AUTOHEADER = @AUTOHEADER@
  417. AUTOMAKE = @AUTOMAKE@
  418. AWK = @AWK@
  419. BUILD_EXEEXT = @BUILD_EXEEXT@
  420. BUILD_OBJEXT = @BUILD_OBJEXT@
  421. CC = @CC@
  422. CCAS = @CCAS@
  423. CCASDEPMODE = @CCASDEPMODE@
  424. CCASFLAGS = @CCASFLAGS@
  425. CCDEPMODE = @CCDEPMODE@
  426. CC_FOR_BUILD = @CC_FOR_BUILD@
  427. CFLAGS = @CFLAGS@
  428. CFLAGS_FOR_BUILD = @CFLAGS_FOR_BUILD@
  429. CLANG_RESOURCE_DIR = @CLANG_RESOURCE_DIR@
  430. CLOCK_LIB = @CLOCK_LIB@
  431. CPP = @CPP@
  432. CPPFLAGS = @CPPFLAGS@
  433. CPPFLAGS_FOR_BUILD = @CPPFLAGS_FOR_BUILD@
  434. CPP_FOR_BUILD = @CPP_FOR_BUILD@
  435. CXX = @CXX@
  436. CXXCPP = @CXXCPP@
  437. CXXCPPFLAGS_FOR_BUILD = @CXXCPPFLAGS_FOR_BUILD@
  438. CXXCPP_FOR_BUILD = @CXXCPP_FOR_BUILD@
  439. CXXDEPMODE = @CXXDEPMODE@
  440. CXXFLAGS = @CXXFLAGS@
  441. CXXFLAGS_FOR_BUILD = @CXXFLAGS_FOR_BUILD@
  442. CXX_FOR_BUILD = @CXX_FOR_BUILD@
  443. CYGPATH_W = @CYGPATH_W@
  444. DEFINES = @DEFINES@
  445. DEFINES_FOR_BUILD = @DEFINES_FOR_BUILD@
  446. DEFS = @DEFS@
  447. DEPDIR = @DEPDIR@
  448. DLLTOOL = @DLLTOOL@
  449. DLOPEN_LIBS = @DLOPEN_LIBS@
  450. DRI2PROTO_CFLAGS = @DRI2PROTO_CFLAGS@
  451. DRI2PROTO_LIBS = @DRI2PROTO_LIBS@
  452. DRIGL_CFLAGS = @DRIGL_CFLAGS@
  453. DRIGL_LIBS = @DRIGL_LIBS@
  454. DRI_DRIVER_INSTALL_DIR = @DRI_DRIVER_INSTALL_DIR@
  455. DRI_DRIVER_SEARCH_DIR = @DRI_DRIVER_SEARCH_DIR@
  456. DRI_LIB_DEPS = @DRI_LIB_DEPS@
  457. DRI_PC_REQ_PRIV = @DRI_PC_REQ_PRIV@
  458. DSYMUTIL = @DSYMUTIL@
  459. DUMPBIN = @DUMPBIN@
  460. ECHO_C = @ECHO_C@
  461. ECHO_N = @ECHO_N@
  462. ECHO_T = @ECHO_T@
  463. EGL_CFLAGS = @EGL_CFLAGS@
  464. EGL_CLIENT_APIS = @EGL_CLIENT_APIS@
  465. EGL_DRIVER_INSTALL_DIR = @EGL_DRIVER_INSTALL_DIR@
  466. EGL_LIB_DEPS = @EGL_LIB_DEPS@
  467. EGL_LIB_GLOB = @EGL_LIB_GLOB@
  468. EGL_LIB_NAME = @EGL_LIB_NAME@
  469. EGL_NATIVE_PLATFORM = @EGL_NATIVE_PLATFORM@
  470. EGL_PLATFORMS = @EGL_PLATFORMS@
  471. EGREP = @EGREP@
  472. ELF_LIB = @ELF_LIB@
  473. EXEEXT = @EXEEXT@
  474. EXPAT_INCLUDES = @EXPAT_INCLUDES@
  475. FGREP = @FGREP@
  476. FREEDRENO_CFLAGS = @FREEDRENO_CFLAGS@
  477. FREEDRENO_LIBS = @FREEDRENO_LIBS@
  478. GALLIUM_DRI_LIB_DEPS = @GALLIUM_DRI_LIB_DEPS@
  479. GALLIUM_PIPE_LOADER_DEFINES = @GALLIUM_PIPE_LOADER_DEFINES@
  480. GALLIUM_PIPE_LOADER_LIBS = @GALLIUM_PIPE_LOADER_LIBS@
  481. GALLIUM_PIPE_LOADER_XCB_CFLAGS = @GALLIUM_PIPE_LOADER_XCB_CFLAGS@
  482. GALLIUM_PIPE_LOADER_XCB_LIBS = @GALLIUM_PIPE_LOADER_XCB_LIBS@
  483. GBM_PC_LIB_PRIV = @GBM_PC_LIB_PRIV@
  484. GBM_PC_REQ_PRIV = @GBM_PC_REQ_PRIV@
  485. GLAPI_LIB_GLOB = @GLAPI_LIB_GLOB@
  486. GLAPI_LIB_NAME = @GLAPI_LIB_NAME@
  487. GLESv1_CM_LIB_DEPS = @GLESv1_CM_LIB_DEPS@
  488. GLESv1_CM_LIB_GLOB = @GLESv1_CM_LIB_GLOB@
  489. GLESv1_CM_LIB_NAME = @GLESv1_CM_LIB_NAME@
  490. GLESv1_CM_PC_LIB_PRIV = @GLESv1_CM_PC_LIB_PRIV@
  491. GLESv2_LIB_DEPS = @GLESv2_LIB_DEPS@
  492. GLESv2_LIB_GLOB = @GLESv2_LIB_GLOB@
  493. GLESv2_LIB_NAME = @GLESv2_LIB_NAME@
  494. GLESv2_PC_LIB_PRIV = @GLESv2_PC_LIB_PRIV@
  495. GLPROTO_CFLAGS = @GLPROTO_CFLAGS@
  496. GLPROTO_LIBS = @GLPROTO_LIBS@
  497. GLX_TLS = @GLX_TLS@
  498. GL_LIB = @GL_LIB@
  499. GL_LIB_DEPS = @GL_LIB_DEPS@
  500. GL_LIB_GLOB = @GL_LIB_GLOB@
  501. GL_LIB_NAME = @GL_LIB_NAME@
  502. GL_PC_CFLAGS = @GL_PC_CFLAGS@
  503. GL_PC_LIB_PRIV = @GL_PC_LIB_PRIV@
  504. GL_PC_REQ_PRIV = @GL_PC_REQ_PRIV@
  505. GREP = @GREP@
  506. HAVE_XF86VIDMODE = @HAVE_XF86VIDMODE@
  507. INDENT = @INDENT@
  508. INDENT_FLAGS = @INDENT_FLAGS@
  509. INSTALL = @INSTALL@
  510. INSTALL_DATA = @INSTALL_DATA@
  511. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  512. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  513. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  514. INTEL_CFLAGS = @INTEL_CFLAGS@
  515. INTEL_LIBS = @INTEL_LIBS@
  516. LD = @LD@
  517. LDFLAGS = @LDFLAGS@
  518. LDFLAGS_FOR_BUILD = @LDFLAGS_FOR_BUILD@
  519. LEX = @LEX@
  520. LEXLIB = @LEXLIB@
  521. LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
  522. LIBCLC_INCLUDEDIR = @LIBCLC_INCLUDEDIR@
  523. LIBCLC_LIBEXECDIR = @LIBCLC_LIBEXECDIR@
  524. LIBDRM_CFLAGS = @LIBDRM_CFLAGS@
  525. LIBDRM_LIBS = @LIBDRM_LIBS@
  526. LIBDRM_XORG_CFLAGS = @LIBDRM_XORG_CFLAGS@
  527. LIBDRM_XORG_LIBS = @LIBDRM_XORG_LIBS@
  528. LIBKMS_XORG_CFLAGS = @LIBKMS_XORG_CFLAGS@
  529. LIBKMS_XORG_LIBS = @LIBKMS_XORG_LIBS@
  530. LIBOBJS = @LIBOBJS@
  531. LIBS = @LIBS@
  532. LIBTOOL = @LIBTOOL@
  533. LIBUDEV_CFLAGS = @LIBUDEV_CFLAGS@
  534. LIBUDEV_LIBS = @LIBUDEV_LIBS@
  535. LIB_DIR = @LIB_DIR@
  536. LIPO = @LIPO@
  537. LLVM_BINDIR = @LLVM_BINDIR@
  538. LLVM_CFLAGS = @LLVM_CFLAGS@
  539. LLVM_CONFIG = @LLVM_CONFIG@
  540. LLVM_CPPFLAGS = @LLVM_CPPFLAGS@
  541. LLVM_CXXFLAGS = @LLVM_CXXFLAGS@
  542. LLVM_INCLUDEDIR = @LLVM_INCLUDEDIR@
  543. LLVM_LDFLAGS = @LLVM_LDFLAGS@
  544. LLVM_LIBDIR = @LLVM_LIBDIR@
  545. LLVM_LIBS = @LLVM_LIBS@
  546. LLVM_VERSION = @LLVM_VERSION@
  547. LN_S = @LN_S@
  548. LTLIBOBJS = @LTLIBOBJS@
  549. MAKE = @MAKE@
  550. MAKEINFO = @MAKEINFO@
  551. MANIFEST_TOOL = @MANIFEST_TOOL@
  552. MESA_LLVM = @MESA_LLVM@
  553. MKDIR_P = @MKDIR_P@
  554. NM = @NM@
  555. NMEDIT = @NMEDIT@
  556. NOUVEAU_CFLAGS = @NOUVEAU_CFLAGS@
  557. NOUVEAU_LIBS = @NOUVEAU_LIBS@
  558. OBJDUMP = @OBJDUMP@
  559. OBJEXT = @OBJEXT@
  560. OPENCL_LIB_INSTALL_DIR = @OPENCL_LIB_INSTALL_DIR@
  561. OSMESA_LIB = @OSMESA_LIB@
  562. OSMESA_LIB_DEPS = @OSMESA_LIB_DEPS@
  563. OSMESA_LIB_NAME = @OSMESA_LIB_NAME@
  564. OSMESA_MESA_DEPS = @OSMESA_MESA_DEPS@
  565. OSMESA_PC_LIB_PRIV = @OSMESA_PC_LIB_PRIV@
  566. OSMESA_PC_REQ = @OSMESA_PC_REQ@
  567. OSMESA_VERSION = @OSMESA_VERSION@
  568. OTOOL = @OTOOL@
  569. OTOOL64 = @OTOOL64@
  570. PACKAGE = @PACKAGE@
  571. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  572. PACKAGE_NAME = @PACKAGE_NAME@
  573. PACKAGE_STRING = @PACKAGE_STRING@
  574. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  575. PACKAGE_URL = @PACKAGE_URL@
  576. PACKAGE_VERSION = @PACKAGE_VERSION@
  577. PATH_SEPARATOR = @PATH_SEPARATOR@
  578. PERL = @PERL@
  579. PKG_CONFIG = @PKG_CONFIG@
  580. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  581. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  582. POSIX_SHELL = @POSIX_SHELL@
  583. PTHREAD_CC = @PTHREAD_CC@
  584. PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
  585. PTHREAD_LIBS = @PTHREAD_LIBS@
  586. PYTHON2 = @PYTHON2@
  587. RADEON_CFLAGS = @RADEON_CFLAGS@
  588. RADEON_LIBS = @RADEON_LIBS@
  589. RANLIB = @RANLIB@
  590. SED = @SED@
  591. SELINUX_LIBS = @SELINUX_LIBS@
  592. SET_MAKE = @SET_MAKE@
  593. SHELL = @SHELL@
  594. STRIP = @STRIP@
  595. VDPAU_CFLAGS = @VDPAU_CFLAGS@
  596. VDPAU_LIBS = @VDPAU_LIBS@
  597. VDPAU_LIB_INSTALL_DIR = @VDPAU_LIB_INSTALL_DIR@
  598. VDPAU_MAJOR = @VDPAU_MAJOR@
  599. VDPAU_MINOR = @VDPAU_MINOR@
  600. VERSION = @VERSION@
  601. VG_LIB_DEPS = @VG_LIB_DEPS@
  602. VG_LIB_GLOB = @VG_LIB_GLOB@
  603. VG_LIB_NAME = @VG_LIB_NAME@
  604. VG_PC_LIB_PRIV = @VG_PC_LIB_PRIV@
  605. VISIBILITY_CFLAGS = @VISIBILITY_CFLAGS@
  606. VISIBILITY_CXXFLAGS = @VISIBILITY_CXXFLAGS@
  607. WAYLAND_CFLAGS = @WAYLAND_CFLAGS@
  608. WAYLAND_LIBS = @WAYLAND_LIBS@
  609. WAYLAND_SCANNER = @WAYLAND_SCANNER@
  610. X11_INCLUDES = @X11_INCLUDES@
  611. XA_MAJOR = @XA_MAJOR@
  612. XA_MINOR = @XA_MINOR@
  613. XA_TINY = @XA_TINY@
  614. XA_VERSION = @XA_VERSION@
  615. XCB_DRI2_CFLAGS = @XCB_DRI2_CFLAGS@
  616. XCB_DRI2_LIBS = @XCB_DRI2_LIBS@
  617. XEXT_CFLAGS = @XEXT_CFLAGS@
  618. XEXT_LIBS = @XEXT_LIBS@
  619. XF86VIDMODE_CFLAGS = @XF86VIDMODE_CFLAGS@
  620. XF86VIDMODE_LIBS = @XF86VIDMODE_LIBS@
  621. XLIBGL_CFLAGS = @XLIBGL_CFLAGS@
  622. XLIBGL_LIBS = @XLIBGL_LIBS@
  623. XORG_CFLAGS = @XORG_CFLAGS@
  624. XORG_DRIVER_INSTALL_DIR = @XORG_DRIVER_INSTALL_DIR@
  625. XORG_LIBS = @XORG_LIBS@
  626. XVMC_CFLAGS = @XVMC_CFLAGS@
  627. XVMC_LIBS = @XVMC_LIBS@
  628. XVMC_LIB_INSTALL_DIR = @XVMC_LIB_INSTALL_DIR@
  629. XVMC_MAJOR = @XVMC_MAJOR@
  630. XVMC_MINOR = @XVMC_MINOR@
  631. YACC = @YACC@
  632. YFLAGS = @YFLAGS@
  633. abs_builddir = @abs_builddir@
  634. abs_srcdir = @abs_srcdir@
  635. abs_top_builddir = @abs_top_builddir@
  636. abs_top_srcdir = @abs_top_srcdir@
  637. ac_ct_AR = @ac_ct_AR@
  638. ac_ct_CC = @ac_ct_CC@
  639. ac_ct_CC_FOR_BUILD = @ac_ct_CC_FOR_BUILD@
  640. ac_ct_CXX = @ac_ct_CXX@
  641. ac_ct_CXX_FOR_BUILD = @ac_ct_CXX_FOR_BUILD@
  642. ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
  643. am__include = @am__include@
  644. am__leading_dot = @am__leading_dot@
  645. am__quote = @am__quote@
  646. am__tar = @am__tar@
  647. am__untar = @am__untar@
  648. ax_pthread_config = @ax_pthread_config@
  649. bindir = @bindir@
  650. build = @build@
  651. build_alias = @build_alias@
  652. build_cpu = @build_cpu@
  653. build_os = @build_os@
  654. build_vendor = @build_vendor@
  655. builddir = @builddir@
  656. datadir = @datadir@
  657. datarootdir = @datarootdir@
  658. docdir = @docdir@
  659. dvidir = @dvidir@
  660. exec_prefix = @exec_prefix@
  661. host = @host@
  662. host_alias = @host_alias@
  663. host_cpu = @host_cpu@
  664. host_os = @host_os@
  665. host_vendor = @host_vendor@
  666. htmldir = @htmldir@
  667. includedir = @includedir@
  668. infodir = @infodir@
  669. install_sh = @install_sh@
  670. libdir = @libdir@
  671. libexecdir = @libexecdir@
  672. localedir = @localedir@
  673. localstatedir = @localstatedir@
  674. mandir = @mandir@
  675. mkdir_p = @mkdir_p@
  676. oldincludedir = @oldincludedir@
  677. pdfdir = @pdfdir@
  678. prefix = @prefix@
  679. program_transform_name = @program_transform_name@
  680. psdir = @psdir@
  681. sbindir = @sbindir@
  682. sharedstatedir = @sharedstatedir@
  683. srcdir = @srcdir@
  684. sysconfdir = @sysconfdir@
  685. target = @target@
  686. target_alias = @target_alias@
  687. target_cpu = @target_cpu@
  688. target_os = @target_os@
  689. target_vendor = @target_vendor@
  690. top_build_prefix = @top_build_prefix@
  691. top_builddir = @top_builddir@
  692. top_srcdir = @top_srcdir@
  693. AM_CPPFLAGS = \
  694.         $(DEFINES) \
  695.         -I$(top_srcdir)/include \
  696.         -I$(top_srcdir)/src/mapi \
  697.         -DMAPI_MODE_BRIDGE \
  698.         -DMAPI_ABI_HEADER=\"glapi_mapi_tmp.h\"
  699.  
  700. AM_CFLAGS = $(VISIBILITY_CFLAGS)
  701. TESTS = ABI-check
  702. pkgconfigdir = $(libdir)/pkgconfig
  703. pkgconfig_DATA = glesv2.pc
  704. GLES2_includedir = $(includedir)/GLES2
  705. GLES2_include_HEADERS = \
  706.         $(top_srcdir)/include/GLES2/gl2.h \
  707.         $(top_srcdir)/include/GLES2/gl2ext.h \
  708.         $(top_srcdir)/include/GLES2/gl2platform.h
  709.  
  710. GLES3_includedir = $(includedir)/GLES3
  711. GLES3_include_HEADERS = \
  712.         $(top_srcdir)/include/GLES3/gl3.h \
  713.         $(top_srcdir)/include/GLES3/gl3ext.h \
  714.         $(top_srcdir)/include/GLES3/gl3platform.h
  715.  
  716. lib_LTLIBRARIES = libGLESv2.la
  717. libGLESv2_la_SOURCES = ../entry.c glapi_mapi_tmp.h
  718. libGLESv2_la_LIBADD = $(GLESv2_LIB_DEPS) $(am__append_1)
  719. libGLESv2_la_LDFLAGS = -version-number 2 -no-undefined
  720. glapi_gen_common_deps := \
  721.         $(wildcard $(top_srcdir)/src/mapi/glapi/gen/*.xml) \
  722.         $(wildcard $(top_srcdir)/src/mapi/glapi/gen/*.py)
  723.  
  724. glapi_gen_mapi_script := $(top_srcdir)/src/mapi/mapi_abi.py
  725. glapi_gen_mapi_deps := \
  726.         $(glapi_gen_mapi_script) \
  727.         $(glapi_gen_common_deps)
  728.  
  729. glapi_gen_dispatch_script := $(top_srcdir)/src/mapi/glapi/gen/gl_table.py
  730. glapi_gen_dispatch_deps := $(glapi_gen_common_deps)
  731. glapi_gen_remap_script := $(top_srcdir)/src/mapi/glapi/gen/remap_helper.py
  732. glapi_gen_remap_deps := $(glapi_gen_common_deps)
  733. BUILT_SOURCES = glapi_mapi_tmp.h
  734. CLEANFILES = $(BUILT_SOURCES)
  735. all: $(BUILT_SOURCES)
  736.         $(MAKE) $(AM_MAKEFLAGS) all-am
  737.  
  738. .SUFFIXES:
  739. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  740. $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/../glapi/gen/glapi_gen.mk $(am__configure_deps)
  741.         @for dep in $?; do \
  742.           case '$(am__configure_deps)' in \
  743.             *$$dep*) \
  744.               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  745.                 && { if test -f $@; then exit 0; else break; fi; }; \
  746.               exit 1;; \
  747.           esac; \
  748.         done; \
  749.         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/mapi/es2api/Makefile'; \
  750.         $(am__cd) $(top_srcdir) && \
  751.           $(AUTOMAKE) --foreign src/mapi/es2api/Makefile
  752. .PRECIOUS: Makefile
  753. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  754.         @case '$?' in \
  755.           *config.status*) \
  756.             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  757.           *) \
  758.             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  759.             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  760.         esac;
  761. $(srcdir)/../glapi/gen/glapi_gen.mk:
  762.  
  763. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  764.         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  765.  
  766. $(top_srcdir)/configure:  $(am__configure_deps)
  767.         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  768. $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  769.         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  770. $(am__aclocal_m4_deps):
  771. glesv2.pc: $(top_builddir)/config.status $(srcdir)/glesv2.pc.in
  772.         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
  773.  
  774. install-libLTLIBRARIES: $(lib_LTLIBRARIES)
  775.         @$(NORMAL_INSTALL)
  776.         @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  777.         list2=; for p in $$list; do \
  778.           if test -f $$p; then \
  779.             list2="$$list2 $$p"; \
  780.           else :; fi; \
  781.         done; \
  782.         test -z "$$list2" || { \
  783.           echo " $(MKDIR_P) '$(DESTDIR)$(libdir)'"; \
  784.           $(MKDIR_P) "$(DESTDIR)$(libdir)" || exit 1; \
  785.           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
  786.           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
  787.         }
  788.  
  789. uninstall-libLTLIBRARIES:
  790.         @$(NORMAL_UNINSTALL)
  791.         @list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
  792.         for p in $$list; do \
  793.           $(am__strip_dir) \
  794.           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
  795.           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
  796.         done
  797.  
  798. clean-libLTLIBRARIES:
  799.         -test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
  800.         @list='$(lib_LTLIBRARIES)'; \
  801.         locs=`for p in $$list; do echo $$p; done | \
  802.               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  803.               sort -u`; \
  804.         test -z "$$locs" || { \
  805.           echo rm -f $${locs}; \
  806.           rm -f $${locs}; \
  807.         }
  808.  
  809. libGLESv2.la: $(libGLESv2_la_OBJECTS) $(libGLESv2_la_DEPENDENCIES) $(EXTRA_libGLESv2_la_DEPENDENCIES)
  810.         $(AM_V_CCLD)$(libGLESv2_la_LINK) -rpath $(libdir) $(libGLESv2_la_OBJECTS) $(libGLESv2_la_LIBADD) $(LIBS)
  811.  
  812. mostlyclean-compile:
  813.         -rm -f *.$(OBJEXT)
  814.  
  815. distclean-compile:
  816.         -rm -f *.tab.c
  817.  
  818. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/entry.Plo@am__quote@
  819.  
  820. .c.o:
  821. @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  822. @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  823. @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  824. @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  825. @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  826.  
  827. .c.obj:
  828. @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  829. @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  830. @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  831. @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  832. @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  833.  
  834. .c.lo:
  835. @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  836. @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  837. @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  838. @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  839. @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
  840.  
  841. entry.lo: ../entry.c
  842. @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT entry.lo -MD -MP -MF $(DEPDIR)/entry.Tpo -c -o entry.lo `test -f '../entry.c' || echo '$(srcdir)/'`../entry.c
  843. @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/entry.Tpo $(DEPDIR)/entry.Plo
  844. @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='../entry.c' object='entry.lo' libtool=yes @AMDEPBACKSLASH@
  845. @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  846. @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o entry.lo `test -f '../entry.c' || echo '$(srcdir)/'`../entry.c
  847.  
  848. mostlyclean-libtool:
  849.         -rm -f *.lo
  850.  
  851. clean-libtool:
  852.         -rm -rf .libs _libs
  853. install-pkgconfigDATA: $(pkgconfig_DATA)
  854.         @$(NORMAL_INSTALL)
  855.         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
  856.         if test -n "$$list"; then \
  857.           echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
  858.           $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
  859.         fi; \
  860.         for p in $$list; do \
  861.           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  862.           echo "$$d$$p"; \
  863.         done | $(am__base_list) | \
  864.         while read files; do \
  865.           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
  866.           $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
  867.         done
  868.  
  869. uninstall-pkgconfigDATA:
  870.         @$(NORMAL_UNINSTALL)
  871.         @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
  872.         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  873.         dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
  874. install-GLES2_includeHEADERS: $(GLES2_include_HEADERS)
  875.         @$(NORMAL_INSTALL)
  876.         @list='$(GLES2_include_HEADERS)'; test -n "$(GLES2_includedir)" || list=; \
  877.         if test -n "$$list"; then \
  878.           echo " $(MKDIR_P) '$(DESTDIR)$(GLES2_includedir)'"; \
  879.           $(MKDIR_P) "$(DESTDIR)$(GLES2_includedir)" || exit 1; \
  880.         fi; \
  881.         for p in $$list; do \
  882.           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  883.           echo "$$d$$p"; \
  884.         done | $(am__base_list) | \
  885.         while read files; do \
  886.           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(GLES2_includedir)'"; \
  887.           $(INSTALL_HEADER) $$files "$(DESTDIR)$(GLES2_includedir)" || exit $$?; \
  888.         done
  889.  
  890. uninstall-GLES2_includeHEADERS:
  891.         @$(NORMAL_UNINSTALL)
  892.         @list='$(GLES2_include_HEADERS)'; test -n "$(GLES2_includedir)" || list=; \
  893.         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  894.         dir='$(DESTDIR)$(GLES2_includedir)'; $(am__uninstall_files_from_dir)
  895. install-GLES3_includeHEADERS: $(GLES3_include_HEADERS)
  896.         @$(NORMAL_INSTALL)
  897.         @list='$(GLES3_include_HEADERS)'; test -n "$(GLES3_includedir)" || list=; \
  898.         if test -n "$$list"; then \
  899.           echo " $(MKDIR_P) '$(DESTDIR)$(GLES3_includedir)'"; \
  900.           $(MKDIR_P) "$(DESTDIR)$(GLES3_includedir)" || exit 1; \
  901.         fi; \
  902.         for p in $$list; do \
  903.           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  904.           echo "$$d$$p"; \
  905.         done | $(am__base_list) | \
  906.         while read files; do \
  907.           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(GLES3_includedir)'"; \
  908.           $(INSTALL_HEADER) $$files "$(DESTDIR)$(GLES3_includedir)" || exit $$?; \
  909.         done
  910.  
  911. uninstall-GLES3_includeHEADERS:
  912.         @$(NORMAL_UNINSTALL)
  913.         @list='$(GLES3_include_HEADERS)'; test -n "$(GLES3_includedir)" || list=; \
  914.         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  915.         dir='$(DESTDIR)$(GLES3_includedir)'; $(am__uninstall_files_from_dir)
  916.  
  917. ID: $(am__tagged_files)
  918.         $(am__define_uniq_tagged_files); mkid -fID $$unique
  919. tags: tags-am
  920. TAGS: tags
  921.  
  922. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  923.         set x; \
  924.         here=`pwd`; \
  925.         $(am__define_uniq_tagged_files); \
  926.         shift; \
  927.         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  928.           test -n "$$unique" || unique=$$empty_fix; \
  929.           if test $$# -gt 0; then \
  930.             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  931.               "$$@" $$unique; \
  932.           else \
  933.             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  934.               $$unique; \
  935.           fi; \
  936.         fi
  937. ctags: ctags-am
  938.  
  939. CTAGS: ctags
  940. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  941.         $(am__define_uniq_tagged_files); \
  942.         test -z "$(CTAGS_ARGS)$$unique" \
  943.           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  944.              $$unique
  945.  
  946. GTAGS:
  947.         here=`$(am__cd) $(top_builddir) && pwd` \
  948.           && $(am__cd) $(top_srcdir) \
  949.           && gtags -i $(GTAGS_ARGS) "$$here"
  950. cscopelist: cscopelist-am
  951.  
  952. cscopelist-am: $(am__tagged_files)
  953.         list='$(am__tagged_files)'; \
  954.         case "$(srcdir)" in \
  955.           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  956.           *) sdir=$(subdir)/$(srcdir) ;; \
  957.         esac; \
  958.         for i in $$list; do \
  959.           if test -f "$$i"; then \
  960.             echo "$(subdir)/$$i"; \
  961.           else \
  962.             echo "$$sdir/$$i"; \
  963.           fi; \
  964.         done >> $(top_builddir)/cscope.files
  965.  
  966. distclean-tags:
  967.         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  968.  
  969. # Recover from deleted '.trs' file; this should ensure that
  970. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  971. # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
  972. # to avoid problems with "make -n".
  973. .log.trs:
  974.         rm -f $< $@
  975.         $(MAKE) $(AM_MAKEFLAGS) $<
  976.  
  977. # Leading 'am--fnord' is there to ensure the list of targets does not
  978. # expand to empty, as could happen e.g. with make check TESTS=''.
  979. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  980. am--force-recheck:
  981.         @:
  982.  
  983. $(TEST_SUITE_LOG): $(TEST_LOGS)
  984.         @$(am__set_TESTS_bases); \
  985.         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  986.         redo_bases=`for i in $$bases; do \
  987.                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  988.                     done`; \
  989.         if test -n "$$redo_bases"; then \
  990.           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  991.           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  992.           if $(am__make_dryrun); then :; else \
  993.             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  994.           fi; \
  995.         fi; \
  996.         if test -n "$$am__remaking_logs"; then \
  997.           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  998.                "recursion detected" >&2; \
  999.         else \
  1000.           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  1001.         fi; \
  1002.         if $(am__make_dryrun); then :; else \
  1003.           st=0;  \
  1004.           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  1005.           for i in $$redo_bases; do \
  1006.             test -f $$i.trs && test -r $$i.trs \
  1007.               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  1008.             test -f $$i.log && test -r $$i.log \
  1009.               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  1010.           done; \
  1011.           test $$st -eq 0 || exit 1; \
  1012.         fi
  1013.         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  1014.         ws='[   ]'; \
  1015.         results=`for b in $$bases; do echo $$b.trs; done`; \
  1016.         test -n "$$results" || results=/dev/null; \
  1017.         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
  1018.         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
  1019.         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
  1020.         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
  1021.         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  1022.         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  1023.         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  1024.         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  1025.           success=true; \
  1026.         else \
  1027.           success=false; \
  1028.         fi; \
  1029.         br='==================='; br=$$br$$br$$br$$br; \
  1030.         result_count () \
  1031.         { \
  1032.             if test x"$$1" = x"--maybe-color"; then \
  1033.               maybe_colorize=yes; \
  1034.             elif test x"$$1" = x"--no-color"; then \
  1035.               maybe_colorize=no; \
  1036.             else \
  1037.               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  1038.             fi; \
  1039.             shift; \
  1040.             desc=$$1 count=$$2; \
  1041.             if test $$maybe_colorize = yes && test $$count -gt 0; then \
  1042.               color_start=$$3 color_end=$$std; \
  1043.             else \
  1044.               color_start= color_end=; \
  1045.             fi; \
  1046.             echo "$${color_start}# $$desc $$count$${color_end}"; \
  1047.         }; \
  1048.         create_testsuite_report () \
  1049.         { \
  1050.           result_count $$1 "TOTAL:" $$all   "$$brg"; \
  1051.           result_count $$1 "PASS: " $$pass  "$$grn"; \
  1052.           result_count $$1 "SKIP: " $$skip  "$$blu"; \
  1053.           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  1054.           result_count $$1 "FAIL: " $$fail  "$$red"; \
  1055.           result_count $$1 "XPASS:" $$xpass "$$red"; \
  1056.           result_count $$1 "ERROR:" $$error "$$mgn"; \
  1057.         }; \
  1058.         {                                                               \
  1059.           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
  1060.             $(am__rst_title);                                           \
  1061.           create_testsuite_report --no-color;                           \
  1062.           echo;                                                         \
  1063.           echo ".. contents:: :depth: 2";                               \
  1064.           echo;                                                         \
  1065.           for b in $$bases; do echo $$b; done                           \
  1066.             | $(am__create_global_log);                                 \
  1067.         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
  1068.         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
  1069.         if $$success; then                                              \
  1070.           col="$$grn";                                                  \
  1071.          else                                                           \
  1072.           col="$$red";                                                  \
  1073.           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
  1074.         fi;                                                             \
  1075.         echo "$${col}$$br$${std}";                                      \
  1076.         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
  1077.         echo "$${col}$$br$${std}";                                      \
  1078.         create_testsuite_report --maybe-color;                          \
  1079.         echo "$$col$$br$$std";                                          \
  1080.         if $$success; then :; else                                      \
  1081.           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
  1082.           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
  1083.             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  1084.           fi;                                                           \
  1085.           echo "$$col$$br$$std";                                        \
  1086.         fi;                                                             \
  1087.         $$success || exit 1
  1088.  
  1089. check-TESTS:
  1090.         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
  1091.         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  1092.         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1093.         @set +e; $(am__set_TESTS_bases); \
  1094.         log_list=`for i in $$bases; do echo $$i.log; done`; \
  1095.         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  1096.         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  1097.         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  1098.         exit $$?;
  1099. recheck: all
  1100.         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1101.         @set +e; $(am__set_TESTS_bases); \
  1102.         bases=`for i in $$bases; do echo $$i; done \
  1103.                  | $(am__list_recheck_tests)` || exit 1; \
  1104.         log_list=`for i in $$bases; do echo $$i.log; done`; \
  1105.         log_list=`echo $$log_list`; \
  1106.         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  1107.                 am__force_recheck=am--force-recheck \
  1108.                 TEST_LOGS="$$log_list"; \
  1109.         exit $$?
  1110. ABI-check.log: ABI-check
  1111.         @p='ABI-check'; \
  1112.         b='ABI-check'; \
  1113.         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  1114.         --log-file $$b.log --trs-file $$b.trs \
  1115.         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  1116.         "$$tst" $(AM_TESTS_FD_REDIRECT)
  1117. .test.log:
  1118.         @p='$<'; \
  1119.         $(am__set_b); \
  1120.         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1121.         --log-file $$b.log --trs-file $$b.trs \
  1122.         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1123.         "$$tst" $(AM_TESTS_FD_REDIRECT)
  1124. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  1125. @am__EXEEXT_TRUE@       @p='$<'; \
  1126. @am__EXEEXT_TRUE@       $(am__set_b); \
  1127. @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  1128. @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
  1129. @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  1130. @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
  1131.  
  1132. distdir: $(DISTFILES)
  1133.         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1134.         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  1135.         list='$(DISTFILES)'; \
  1136.           dist_files=`for file in $$list; do echo $$file; done | \
  1137.           sed -e "s|^$$srcdirstrip/||;t" \
  1138.               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  1139.         case $$dist_files in \
  1140.           */*) $(MKDIR_P) `echo "$$dist_files" | \
  1141.                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  1142.                            sort -u` ;; \
  1143.         esac; \
  1144.         for file in $$dist_files; do \
  1145.           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  1146.           if test -d $$d/$$file; then \
  1147.             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  1148.             if test -d "$(distdir)/$$file"; then \
  1149.               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1150.             fi; \
  1151.             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  1152.               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  1153.               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  1154.             fi; \
  1155.             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  1156.           else \
  1157.             test -f "$(distdir)/$$file" \
  1158.             || cp -p $$d/$$file "$(distdir)/$$file" \
  1159.             || exit 1; \
  1160.           fi; \
  1161.         done
  1162. check-am: all-am
  1163.         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  1164. check: $(BUILT_SOURCES)
  1165.         $(MAKE) $(AM_MAKEFLAGS) check-am
  1166. all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
  1167. installdirs:
  1168.         for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(GLES2_includedir)" "$(DESTDIR)$(GLES3_includedir)"; do \
  1169.           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  1170.         done
  1171. install: $(BUILT_SOURCES)
  1172.         $(MAKE) $(AM_MAKEFLAGS) install-am
  1173. install-exec: install-exec-am
  1174. install-data: install-data-am
  1175. uninstall: uninstall-am
  1176.  
  1177. install-am: all-am
  1178.         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  1179.  
  1180. installcheck: installcheck-am
  1181. install-strip:
  1182.         if test -z '$(STRIP)'; then \
  1183.           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1184.             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1185.               install; \
  1186.         else \
  1187.           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  1188.             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  1189.             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  1190.         fi
  1191. mostlyclean-generic:
  1192.         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  1193.         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  1194.         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  1195.  
  1196. clean-generic:
  1197.         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  1198.  
  1199. distclean-generic:
  1200.         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  1201.         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1202.  
  1203. maintainer-clean-generic:
  1204.         @echo "This command is intended for maintainers to use"
  1205.         @echo "it deletes files that may require special tools to rebuild."
  1206.         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
  1207. clean: clean-am
  1208.  
  1209. clean-am: clean-generic clean-libLTLIBRARIES clean-libtool \
  1210.         mostlyclean-am
  1211.  
  1212. distclean: distclean-am
  1213.         -rm -rf ./$(DEPDIR)
  1214.         -rm -f Makefile
  1215. distclean-am: clean-am distclean-compile distclean-generic \
  1216.         distclean-tags
  1217.  
  1218. dvi: dvi-am
  1219.  
  1220. dvi-am:
  1221.  
  1222. html: html-am
  1223.  
  1224. html-am:
  1225.  
  1226. info: info-am
  1227.  
  1228. info-am:
  1229.  
  1230. install-data-am: install-GLES2_includeHEADERS \
  1231.         install-GLES3_includeHEADERS install-pkgconfigDATA
  1232.  
  1233. install-dvi: install-dvi-am
  1234.  
  1235. install-dvi-am:
  1236.  
  1237. install-exec-am: install-libLTLIBRARIES
  1238.  
  1239. install-html: install-html-am
  1240.  
  1241. install-html-am:
  1242.  
  1243. install-info: install-info-am
  1244.  
  1245. install-info-am:
  1246.  
  1247. install-man:
  1248.  
  1249. install-pdf: install-pdf-am
  1250.  
  1251. install-pdf-am:
  1252.  
  1253. install-ps: install-ps-am
  1254.  
  1255. install-ps-am:
  1256.  
  1257. installcheck-am:
  1258.  
  1259. maintainer-clean: maintainer-clean-am
  1260.         -rm -rf ./$(DEPDIR)
  1261.         -rm -f Makefile
  1262. maintainer-clean-am: distclean-am maintainer-clean-generic
  1263.  
  1264. mostlyclean: mostlyclean-am
  1265.  
  1266. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1267.         mostlyclean-libtool
  1268.  
  1269. pdf: pdf-am
  1270.  
  1271. pdf-am:
  1272.  
  1273. ps: ps-am
  1274.  
  1275. ps-am:
  1276.  
  1277. uninstall-am: uninstall-GLES2_includeHEADERS \
  1278.         uninstall-GLES3_includeHEADERS uninstall-libLTLIBRARIES \
  1279.         uninstall-pkgconfigDATA
  1280.  
  1281. .MAKE: all check check-am install install-am install-strip
  1282.  
  1283. .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
  1284.         check-am clean clean-generic clean-libLTLIBRARIES \
  1285.         clean-libtool cscopelist-am ctags ctags-am distclean \
  1286.         distclean-compile distclean-generic distclean-libtool \
  1287.         distclean-tags distdir dvi dvi-am html html-am info info-am \
  1288.         install install-GLES2_includeHEADERS \
  1289.         install-GLES3_includeHEADERS install-am install-data \
  1290.         install-data-am install-dvi install-dvi-am install-exec \
  1291.         install-exec-am install-html install-html-am install-info \
  1292.         install-info-am install-libLTLIBRARIES install-man install-pdf \
  1293.         install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
  1294.         install-strip installcheck installcheck-am installdirs \
  1295.         maintainer-clean maintainer-clean-generic mostlyclean \
  1296.         mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
  1297.         pdf pdf-am ps ps-am recheck tags tags-am uninstall \
  1298.         uninstall-GLES2_includeHEADERS uninstall-GLES3_includeHEADERS \
  1299.         uninstall-am uninstall-libLTLIBRARIES uninstall-pkgconfigDATA
  1300.  
  1301.  
  1302. # $(1): path to an XML file
  1303. # $(2): name of the printer
  1304. define glapi_gen_mapi
  1305. @mkdir -p $(dir $@)
  1306. $(AM_V_GEN)$(PYTHON2) $(PYTHON_FLAGS) $(glapi_gen_mapi_script) \
  1307.         --mode lib --printer $(2) $(1) > $@
  1308. endef
  1309.  
  1310. # $(1): path to an XML file
  1311. # $(2): empty, es1, or es2 for entry point filtering
  1312. define glapi_gen_dispatch
  1313. @mkdir -p $(dir $@)
  1314. $(AM_V_GEN)$(PYTHON2) $(PYTHON_FLAGS) $(glapi_gen_dispatch_script) \
  1315.         -f $(1) -m remap_table $(if $(2),-c $(2),) > $@
  1316. endef
  1317.  
  1318. # $(1): path to an XML file
  1319. # $(2): empty, es1, or es2 for entry point filtering
  1320. define glapi_gen_remap
  1321. @mkdir -p $(dir $@)
  1322. $(AM_V_GEN)$(PYTHON2) $(PYTHON_FLAGS) $(glapi_gen_remap_script) \
  1323.         -f $(1) $(if $(2),-c $(2),) > $@
  1324. endef
  1325.  
  1326. glapi_mapi_tmp.h: ../glapi/gen/gl_and_es_API.xml $(glapi_gen_mapi_deps)
  1327.         $(call glapi_gen_mapi,$<,es2api)
  1328.  
  1329. # Provide compatibility with scripts for the old Mesa build system for
  1330. # a while by putting a link to the driver into /lib of the build tree.
  1331. all-local: libGLESv2.la
  1332.         $(MKDIR_P) $(top_builddir)/$(LIB_DIR);
  1333.         ln -f .libs/libGLESv2.so $(top_builddir)/$(LIB_DIR)/libGLESv2.so
  1334.         ln -f .libs/libGLESv2.so.2 $(top_builddir)/$(LIB_DIR)/libGLESv2.so.2
  1335.         ln -f .libs/libGLESv2.so.2.0.0 $(top_builddir)/$(LIB_DIR)/libGLESv2.so.2.0.0
  1336.  
  1337. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1338. # Otherwise a system limit (for SysV at least) may be exceeded.
  1339. .NOEXPORT:
  1340.